Subject: Re: bare init and gitweb

From: Martin Röhricht <[email-masked]>
Date: Wed, 18 Jun 2008 08:14:39 +0200

Hi Jakub,

On 06/17/2008 10:27 PM, Jakub Narebski wrote:
> Martin Röhricht <[email-masked]> writes:
> 
>> in order to use git for some projects via WebDAV I followed the
>> instructions given in
>> http://www.kernel.org/pub/software/scm/git/docs/howto/setup-git-server-over-http.txt
> 
> [...]
>> Whenever I clone the server's repository somewhere else, I get the
>> README file as expected. But when I use gitweb to show me the contents
>> of the repository, all I get is this:
>> 
>> -------------------------8<------------------------
>> projects /
>> 
>> 403 Forbidden - No projects found
>> -------------------------8<------------------------
>> 
>> The projectroot variable within /etc/gitweb.conf points to my
>> ~/gitrepo.git, and whenever I use "git init", add and commit some
>> files locally on the server I see the contents as expected by using
>> gitweb, but never by using a repository created with "git --bare init".
>> 
>> Can someone help me out? I would really appreciate any help.
> 
> The $projectroot variable should point to the _common root_ of all
> projects, in your case it could be one directory up your repository,
> for example
> 
>   our $projectroot = /home/nick
> 
> not
> 
>   our $projectroot = /home/nick/gitrepo.git

thank you very much -- you solved my problem and it works like a charm. :-)

Have a nice day,
Martin